# NetworkLassoBandits

Project for multi-task bandits with the network lasso

## Dependencies

We recommend creating a new environment from the file `network-lasso-env.yml`

## File description

* `main_graph_bandits.py`: script for running experiments of the main paper

* `postprocessing.py`: postprocessing the saved experiment data

* `config.py`: configuration of an experiment

* `bandit.py`: classes representing multi-armed bandit environments.

* `policy.py`: clasees representing policies/agents.

* `experiment.py`: classes representing sequential interactions between an agent/ a policy and a bandit environment

* `network_lasso.py`: classes defining the network lasso solver, along with other classes used by it.

* `utils.py`: additional miscellaneous classes and functions used by the scripts.

* `connectivity_boundary.py`: comparison of the algebraic connectivity and the minimum topological centrality index
