import numpy as np
from matplotlib import pyplot as plt
from numpy.random import default_rng

import networkx as nx
import pygsp
import network_lasso as nl
from joblib import delayed, Parallel
import pickle
from datetime import datetime
plt.close('all')

import policy
from bandit import MultiTaskContextualBandit
from experiment import bandit_multitask_experiment
import utils

# %
dtype= 'float32'
n_users = 100
dim = 20
n_arms_all= 500
n_arms = 50
horizon = 3000
sigma = 0.01
repetitions = 10
n_clusters = 5
random = default_rng(0)
eps = 1e-9
imbalance = 1.0
p = 0.4
q = 0.05
experiment_name = f"u{n_users}d{dim}h{horizon}c{n_clusters}i{imbalance}p{p}q{q}"